> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Reveal secrets

> Only the agent's own token can reveal its secrets. Leave out names to reveal them all.



## OpenAPI

````yaml /openapi.json post /agents/{id}/secrets/reveal
openapi: 3.1.0
info:
  title: Artil API
  description: Give AI agents their own email inbox, SMS number and secret storage.
  version: 1.0.0
servers:
  - url: https://app.artil.dev/api
security:
  - token: []
paths:
  /agents/{id}/secrets/reveal:
    post:
      tags:
        - Secrets
      summary: Reveal secrets
      description: >-
        Only the agent's own token can reveal its secrets. Leave out names to
        reveal them all.
      operationId: revealSecrets
      parameters:
        - in: path
          name: id
          required: true
          description: The agent's id
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                names:
                  maxItems: 200
                  type: array
                  items:
                    type: string
      responses:
        '200':
          description: The values
          content:
            application/json:
              schema:
                type: object
                propertyNames:
                  type: string
                additionalProperties:
                  type: string
                description: Each secret's value by its name
        default:
          $ref: '#/components/responses/Failure'
components:
  responses:
    Failure:
      description: The request failed; the error says why
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: object
                properties:
                  code:
                    type: string
                    enum:
                      - invalid_input
                      - unauthorized
                      - forbidden
                      - plan_limit
                      - not_found
                      - conflict
                      - rate_limited
                      - internal
                      - unavailable
                  message:
                    type: string
                required:
                  - code
                  - message
            required:
              - error
  securitySchemes:
    token:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.